Index: applications/editors/josm/plugins/osmarender/build.xml
===================================================================
--- applications/editors/josm/plugins/osmarender/build.xml	(revision 18922)
+++ applications/editors/josm/plugins/osmarender/build.xml	(revision 18951)
@@ -25,121 +25,114 @@
 -->
 <project name="osmarender" default="install" basedir=".">
-    <property name="josm"                   location="../../core/dist/josm-custom.jar"/>
-    <property name="plugin.dist.dir"        value="../../dist"/>
-    <property name="plugin.build.dir"       value="build"/>
-    <property name="plugin.jar"             value="${plugin.dist.dir}/${ant.project.name}.jar"/>
-    <property name="ant.build.javac.target" value="1.5"/>
-    <property name="stylesheets"            location="./stylesheets"/>
-    <property name="xslt"                   location="./xslt"/>
-	
+	<property name="josm" location="../../core/dist/josm-custom.jar" />
+	<property name="plugin.dist.dir" value="../../dist" />
+	<property name="plugin.build.dir" value="build" />
+	<property name="plugin.jar" value="${plugin.dist.dir}/${ant.project.name}.jar" />
+	<property name="ant.build.javac.target" value="1.5" />
+	<property name="stylesheets" location="./stylesheets" />
+	<property name="xslt" location="./xslt" />
 
-    <property name="commit.message" value="Updated to new referrer support in OsmPrimitive" />		
-    <property name="plugin.main.version" value="2565" />
-	
-    <target name="init">
-        <mkdir dir="${plugin.build.dir}"/>
-    </target>
-    <target name="compile" depends="init">
-        <echo message="creating ${plugin.jar}"/>
-        <javac srcdir="src" classpath="${josm}" debug="true" destdir="${plugin.build.dir}">
-            <compilerarg value="-Xlint:deprecation"/>
-            <compilerarg value="-Xlint:unchecked"/>
-        </javac>
-    </target>
-    <target name="dist" depends="compile,revision">
-        <copy todir="${plugin.build.dir}" file="${xslt}/osmarender.xsl"/>
-        <copy tofile="${plugin.build.dir}/osm-map-features.xml" file="${stylesheets}/osm-map-features-z17.xml"/>
-        <jar destfile="${plugin.jar}" basedir="${plugin.build.dir}">
-            <manifest>
-                <attribute name="Author" value="80n"/>
-                <attribute name="Plugin-Class" value="org.openstreetmap.josm.plugins.osmarender.OsmarenderPlugin"/>
-                <attribute name="Plugin-Date" value="${version.entry.commit.date}"/>
-                <attribute name="Plugin-Description" value="Launches FireFox to display the current visible screen as a nice SVG image."/>
-                <attribute name="Plugin-Mainversion" value="${plugin.main.version}"/>
-                <attribute name="Plugin-Version" value="${version.entry.commit.revision}"/>
-            </manifest>
-        </jar>
-    </target>
-    <target name="revision">
-        <exec append="false" output="REVISION" executable="perl" failifexecutionfails="false">
-            <env key="LANG" value="C"/>
-            <arg value="../getrevision.pl"/>
-            <arg value="xslt"/>
-            <arg value="stylesheets"/>
-        </exec>
-        <xmlproperty file="REVISION" prefix="version" keepRoot="false" collapseAttributes="true"/>
-        <delete file="REVISION"/>
-    </target>
-    <target name="clean">
-        <delete dir="${plugin.build.dir}"/>
-        <delete file="${plugin.jar}"/>
-    </target>
-    <target name="install" depends="dist">
-        <property environment="env"/>
-        <condition property="josm.plugins.dir" value="${env.APPDATA}/JOSM/plugins" else="${user.home}/.josm/plugins">
-            <and>
-                <os family="windows"/>
-            </and>
-        </condition>
-        <copy file="${plugin.jar}" todir="${josm.plugins.dir}"/>
-    </target>
-	
+
+	<property name="commit.message" value="Removed dependency to perl, made build.xml more robust" />
+	<property name="plugin.main.version" value="2565" />
+
+	<target name="init">
+		<mkdir dir="${plugin.build.dir}" />
+	</target>
+
+	<target name="compile" depends="init">
+		<echo message="creating ${plugin.jar}" />
+		<javac srcdir="src" classpath="${josm}" debug="true" destdir="${plugin.build.dir}">
+			<compilerarg value="-Xlint:deprecation" />
+			<compilerarg value="-Xlint:unchecked" />
+		</javac>
+	</target>
+	<target name="dist" depends="compile,revision">
+		<copy todir="${plugin.build.dir}" file="${xslt}/osmarender.xsl" />
+		<copy tofile="${plugin.build.dir}/osm-map-features.xml" file="${stylesheets}/osm-map-features-z17.xml" />
+		<jar destfile="${plugin.jar}" basedir="${plugin.build.dir}">
+			<manifest>
+				<attribute name="Author" value="80n" />
+				<attribute name="Plugin-Class" value="org.openstreetmap.josm.plugins.osmarender.OsmarenderPlugin" />
+				<attribute name="Plugin-Date" value="${version.entry.commit.date}" />
+				<attribute name="Plugin-Description" value="Launches FireFox to display the current visible screen as a nice SVG image." />
+				<attribute name="Plugin-Mainversion" value="${plugin.main.version}" />
+				<attribute name="Plugin-Version" value="${version.entry.commit.revision}" />
+			</manifest>
+		</jar>
+	</target>
+	<target name="revision">
+		<exec append="false" output="REVISION" executable="svn" failifexecutionfails="true" failonerror="true">
+			<env key="LANG" value="C" />
+			<arg value="info" />
+			<arg value="--xml" />
+			<arg value="build.xml" />
+		</exec>
+		<xmlproperty file="REVISION" prefix="version" keepRoot="false" collapseAttributes="true" />
+		<delete file="REVISION" />
+	</target>
+	<target name="clean">
+		<delete dir="${plugin.build.dir}" />
+		<delete file="${plugin.jar}" />
+	</target>
+	<target name="install" depends="dist">
+		<property environment="env" />
+		<condition property="josm.plugins.dir" value="${env.APPDATA}/JOSM/plugins" else="${user.home}/.josm/plugins">
+			<and>
+				<os family="windows" />
+			</and>
+		</condition>
+		<copy file="${plugin.jar}" todir="${josm.plugins.dir}" />
+	</target>
+
+	<!-- ************************** Publishing the plugin *********************************** -->
 	<!--
-		 ************************** Publishing the plugin *********************************** 
-		-->
-			<!--
-			  ** extracts the JOSM release for the JOSM version in ../core and saves it in the 
-			  ** property ${coreversion.info.entry.revision}
-			  **
-			-->
-			<target name="core-info">
-		        <exec append="false" output="core.info.xml" executable="svn" failifexecutionfails="false">
-		                    <env key="LANG" value="C"/>
-		                    <arg value="info"/>
-		                    <arg value="--xml"/>
-		                    <arg value="../../core"/>
-		        </exec>
-		        <xmlproperty file="core.info.xml" prefix="coreversion" keepRoot="true" collapseAttributes="true"/>
-				<echo>Building against core revision ${coreversion.info.entry.revision}.</echo>			
-				<echo>Plugin-Mainversion is set to ${plugin.main.version}.</echo>
-				<delete file="core.info.xml" />
-			</target>
+	** extracts the JOSM release for the JOSM version in ../core and saves it in the 
+	** property ${coreversion.info.entry.revision}
+	**
+	-->
+	<target name="core-info">
+		<exec append="false" output="core.info.xml" executable="svn" failifexecutionfails="true" failonerror="true">
+			<env key="LANG" value="C" />
+			<arg value="info" />
+			<arg value="--xml" />
+			<arg value="../../core" />
+		</exec>
+		<xmlproperty file="core.info.xml" prefix="coreversion" keepRoot="true" collapseAttributes="true" />
+		<echo>Building against core revision ${coreversion.info.entry.revision}.</echo>
+		<echo>Plugin-Mainversion is set to ${plugin.main.version}.</echo>
+		<delete file="core.info.xml" />
+	</target>
 
-			<!--
-			 ** commits the source tree for this plugin
-			-->
-			<target name="commit-current">
-				<echo>Commiting the plugin source with message '${commit.message}' ...</echo>
-			    <exec append="true" output="svn.log" executable="svn" failifexecutionfails="false">
-			                    <env key="LANG" value="C"/>
-			                    <arg value="commit"/>
-			                    <arg value="-m '${commit.message}'"/>
-			                    <arg value="."/>
-			    </exec>	    
-			</target>
+	<!-- ** commits the source tree for this plugin ** -->
+	<target name="commit-current">
+		<echo>Commiting the plugin source with message '${commit.message}' ...</echo>
+		<exec append="true" output="svn.log" executable="svn" failifexecutionfails="true" failonerror="true">
+			<env key="LANG" value="C" />
+			<arg value="commit" />
+			<arg value="-m '${commit.message}'" />
+			<arg value="." />
+		</exec>
+	</target>
 
-			<!--
-			** updates (svn up) the source tree for this plugin
-			-->
-			<target name="update-current">
-				<echo>Updating plugin source ...</echo>
-			    <exec append="true" output="svn.log" executable="svn" failifexecutionfails="false">
-			                    <env key="LANG" value="C"/>
-			                    <arg value="up"/>
-			                    <arg value="."/>
-			    </exec>	    
-				<echo>Updating ${plugin.jar} ...</echo>
-			    <exec append="true" output="svn.log" executable="svn" failifexecutionfails="false">
-			                    <env key="LANG" value="C"/>
-			                    <arg value="up"/>
-			                    <arg value="../dist/${plugin.jar}"/>
-			    </exec>	    
-			</target>
-			
-			<!--
-			 ** commits the plugin.jar 
-			 -->
-			<target name="commit-dist">
-					<echo>
+	<!-- ** updates (svn up) the source tree for this plugin -->
+	<target name="update-current">
+		<echo>Updating plugin source ...</echo>
+		<exec append="true" output="svn.log" executable="svn" failifexecutionfails="true" failonerror="true">
+			<env key="LANG" value="C" />
+			<arg value="up" />
+			<arg value="." />
+		</exec>
+		<echo>Updating ${plugin.jar} ...</echo>
+		<exec append="true" output="svn.log" executable="svn" failifexecutionfails="true" failonerror="true">
+			<env key="LANG" value="C" />
+			<arg value="up" />
+			<arg value="../dist/${plugin.jar}" />
+		</exec>
+	</target>
+
+	<!-- ** commits the plugin.jar  -->
+	<target name="commit-dist">
+		<echo>
 	***** Properties of published ${plugin.jar} *****
 	Commit message    : '${commit.message}'					
@@ -150,14 +143,28 @@
 						
 	Now commiting ${plugin.jar} ...
-	</echo>					
-				    <exec append="true" output="svn.log" executable="svn" failifexecutionfails="false">
-				                    <env key="LANG" value="C"/>
-					    			<arg value="-m '${commit.message}'"/>
-				    				<arg value="commit"/>	                			
-	            			        <arg value="${plugin.jar}"/>
-				    </exec>	    
-		   	</target>
-					
-			<target name="publish" depends="core-info,commit-current,update-current,clean,dist,commit-dist">
-			</target>	
+	</echo>
+		<exec append="true" output="svn.log" executable="svn" failifexecutionfails="true" failonerror="true">
+			<env key="LANG" value="C" />
+			<arg value="-m '${commit.message}'" />
+			<arg value="commit" />
+			<arg value="${plugin.jar}" />
+		</exec>
+	</target>
+
+	<!-- ** make sure svn is present as a command line tool ** -->
+	<target name="ensure-svn-present">
+		<exec append="true" output="svn.log" executable="svn" failonerror="false" resultproperty="svn.exit.code">
+			<env key="LANG" value="C"  />
+			<arg value="--version"/>
+		</exec>
+		<fail message="Fatal: command 'svn' not found. Please make sure svn is installed on your system.">
+			<condition>
+				<isfailure code="${svn.exit.code}" />
+			</condition>
+		</fail>
+	</target>
+
+	<!-- ** checkin source, build the plugin from scratch and finally checkin the plugin ** -->
+	<target name="publish" depends="ensure-svn-present,core-info,commit-current,update-current,clean,dist,commit-dist">
+	</target>
 </project>