Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastrePreferenceSetting.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastrePreferenceSetting.java	(revision 19080)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastrePreferenceSetting.java	(revision 19149)
@@ -48,7 +48,9 @@
     private JRadioButton crosspiece1 = new JRadioButton("off");
     
-    private JRadioButton crosspiece2 = new JRadioButton("50m");
-
-    private JRadioButton crosspiece3 = new JRadioButton("100m");
+    private JRadioButton crosspiece2 = new JRadioButton("25m");
+
+    private JRadioButton crosspiece3 = new JRadioButton("50m");
+
+    private JRadioButton crosspiece4 = new JRadioButton("100m");
 
     static final int DEFAULT_SQUARE_SIZE = 100;
@@ -191,10 +193,13 @@
         if (crosspieces == 1) crosspiece2.setSelected(true);
         if (crosspieces == 2) crosspiece3.setSelected(true);
+        if (crosspieces == 3) crosspiece4.setSelected(true);
         bgCrosspieces.add(crosspiece1);
         bgCrosspieces.add(crosspiece2);
         bgCrosspieces.add(crosspiece3);
+        bgCrosspieces.add(crosspiece4);
         cadastrewms.add(crosspiece1, GBC.std().insets(5, 0, 5, 0));
         cadastrewms.add(crosspiece2, GBC.std().insets(5, 0, 5, 0));
-        cadastrewms.add(crosspiece3, GBC.eol().fill(GBC.HORIZONTAL).insets(5, 5, 0, 5));
+        cadastrewms.add(crosspiece3, GBC.std().insets(5, 0, 5, 0));
+        cadastrewms.add(crosspiece4, GBC.eol().fill(GBC.HORIZONTAL).insets(5, 5, 0, 5));
 
         // separator
@@ -256,4 +261,5 @@
         else if (crosspiece2.isSelected()) Main.pref.put("cadastrewms.crosspieces", "1");
         else if (crosspiece3.isSelected()) Main.pref.put("cadastrewms.crosspieces", "2");
+        else if (crosspiece4.isSelected()) Main.pref.put("cadastrewms.crosspieces", "3");
         Main.pref.put("cadastrewms.enableCaching", enableCache.isSelected());
 
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CheckSourceUploadHook.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CheckSourceUploadHook.java	(revision 19080)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CheckSourceUploadHook.java	(revision 19149)
@@ -13,4 +13,5 @@
 import javax.swing.JPanel;
 import javax.swing.JScrollPane;
+import javax.swing.JTextField;
 
 import org.openstreetmap.josm.Main;
@@ -78,5 +79,7 @@
             JPanel p = new JPanel(new GridBagLayout());
             OsmPrimitivRenderer renderer = new OsmPrimitivRenderer();
-            p.add(new JLabel(tr("Auto-tag source added:")), GBC.eol());
+            p.add(new JLabel(tr("Add \"source=...\" to elements?")), GBC.eol());
+            JTextField tf = new JTextField(CadastrePlugin.source);
+            p.add(tf, GBC.eol());
             JList l = new JList(sel.toArray());
             l.setCellRenderer(renderer);
@@ -86,7 +89,8 @@
                    JOptionPane.YES_NO_OPTION) == JOptionPane.YES_OPTION;
             if (bContinue)
-                Main.main.undoRedo.add(new ChangePropertyCommand(sel, "source", CadastrePlugin.source));
+                Main.main.undoRedo.add(new ChangePropertyCommand(sel, "source", tf.getText()));
         }
 
     }
 }
+
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/WMSLayer.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/WMSLayer.java	(revision 19080)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/WMSLayer.java	(revision 19149)
@@ -588,6 +588,7 @@
         String crosspieces = Main.pref.get("cadastrewms.crosspieces", "0");
         if (!crosspieces.equals("0")) {
-            int modulo = 50;
-            if (crosspieces.equals("2")) modulo = 100;
+            int modulo = 25;
+            if (crosspieces.equals("2")) modulo = 50;
+            if (crosspieces.equals("3")) modulo = 100;
             EastNorthBound currentView = new EastNorthBound(mv.getEastNorth(0, mv.getHeight()),
                     mv.getEastNorth(mv.getWidth(), 0));