Index: applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/PlayAudioAction.java
===================================================================
--- applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/PlayAudioAction.java	(revision 19004)
+++ applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/PlayAudioAction.java	(revision 19211)
@@ -43,5 +43,5 @@
                     if(audioSource == null) {
                         audioSource = getParameters().get(0);
-                        System.out.println("reading audio from " + audioSource);
+                        //System.out.println("reading audio from " + audioSource);
                     }
                     InputStream in = new BufferedInputStream(ResourceLoader.getInputStream(audioSource));
@@ -86,7 +86,5 @@
                 }
             }
-
         });
-
     }
 }
Index: applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/SetNodeAction.java
===================================================================
--- applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/SetNodeAction.java	(revision 19004)
+++ applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/SetNodeAction.java	(revision 19211)
@@ -15,4 +15,5 @@
 import org.openstreetmap.josm.Main;
 import org.openstreetmap.josm.data.coor.LatLon;
+import org.openstreetmap.josm.data.osm.DataSet;
 import org.openstreetmap.josm.data.osm.Node;
 
@@ -63,13 +64,16 @@
     public void actionPerformed(GpsActionEvent event) {
         LatLon coordinates = event.getCoordinates();
-        System.out.println(getClass().getSimpleName() + " KOORD: " + coordinates.lat() + ", " + coordinates.lon() + " params: " + keyValues);
+        //System.out.println(getClass().getSimpleName() + " KOORD: " + coordinates.lat() + ", " + coordinates.lon() + " params: " + keyValues);
         Node node = new Node(coordinates);
         for(Entry<String, String> entry : keyValues) {
             node.put(entry.getKey(), entry.getValue());
         }
-        node.put("created_by", "JOSM-surveyor-plugin");
         synchronized(LiveGpsLock.class) {
-            Main.map.mapView.getEditLayer().data.addPrimitive(node);
-            Main.main.getCurrentDataSet().setSelected(node);
+            DataSet ds = Main.main.getCurrentDataSet();
+            if(ds != null)
+            {
+                ds.addPrimitive(node);
+                ds.setSelected(node);
+            }
         }
         Main.map.repaint();
Index: applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/SetWaypointAction.java
===================================================================
--- applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/SetWaypointAction.java	(revision 19004)
+++ applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/SetWaypointAction.java	(revision 19211)
@@ -38,5 +38,5 @@
     private LiveGpsLayer liveGpsLayer;
     private MarkerLayer markerLayer;
-    public static final String MARKER_LAYER_NAME = "surveyorwaypointlayer";
+    public static final String MARKER_LAYER_NAME = tr("Surveyor waypoint layer");
     private WaypointDialog dialog;
 
@@ -54,5 +54,5 @@
     public void actionPerformed(GpsActionEvent event) {
         LatLon coordinates = event.getCoordinates();
-        System.out.println(getClass().getSimpleName() + " KOORD: " + coordinates.lat() + ", " + coordinates.lon());
+        //System.out.println(getClass().getSimpleName() + " KOORD: " + coordinates.lat() + ", " + coordinates.lon());
         String markerTitle = getParameters().get(0);
         Object source = event.getSource();
@@ -70,5 +70,5 @@
 
         String markerText = markerTitle;
-        String inputText = dialog.openDialog(SurveyorPlugin.getSurveyorFrame(), "Waypoint Description");
+        String inputText = dialog.openDialog(SurveyorPlugin.getSurveyorFrame(), tr("Waypoint Description"));
         if(inputText != null && inputText.length() > 0) {
             inputText = inputText.replaceAll("<", "_"); // otherwise the gpx file is ruined
Index: applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/gui/WaypointDialog.java
===================================================================
--- applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/gui/WaypointDialog.java	(revision 19004)
+++ applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/gui/WaypointDialog.java	(revision 19211)
@@ -68,5 +68,5 @@
 
 
-        System.out.println("value: " + optionPane.getValue());
+        //System.out.println("value: " + optionPane.getValue());
         return textField.getText();
 