Index: applications/editors/josm/i18n/po/ar.po
===================================================================
--- applications/editors/josm/i18n/po/ar.po	(revision 19552)
+++ applications/editors/josm/i18n/po/ar.po	(revision 19557)
@@ -8,5 +8,5 @@
 "Project-Id-Version: josm\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2010-01-18 14:05-0500\n"
+"POT-Creation-Date: 2010-01-19 00:01-0500\n"
 "PO-Revision-Date: 2010-01-14 14:29-0500\n"
 "Last-Translator: Dirk Stöcker <launchpad@dstoecker.de>\n"
@@ -21,5 +21,5 @@
 
 #. FIXME why is help not a JosmAction?
-#: ../core/src/org/openstreetmap/josm/Main.java:200
+#: ../core/src/org/openstreetmap/josm/Main.java:204
 #: ../core/src/org/openstreetmap/josm/actions/HelpAction.java:25
 #: ../core/src/org/openstreetmap/josm/gui/ExtendedDialog.java:482
@@ -32,12 +32,12 @@
 msgstr "المساعدة"
 
-#: ../core/src/org/openstreetmap/josm/Main.java:378
+#: ../core/src/org/openstreetmap/josm/Main.java:396
 #, java-format
 msgid "Ignoring malformed file URL: \"{0}\""
 msgstr "تجاهل URL ملف غيرصحيح التكوين: \"{0}\""
 
-#: ../core/src/org/openstreetmap/josm/Main.java:379
-#: ../core/src/org/openstreetmap/josm/Main.java:412
-#: ../core/src/org/openstreetmap/josm/Main.java:480
+#: ../core/src/org/openstreetmap/josm/Main.java:397
+#: ../core/src/org/openstreetmap/josm/Main.java:430
+#: ../core/src/org/openstreetmap/josm/Main.java:498
 #: ../core/src/org/openstreetmap/josm/actions/AbstractInfoAction.java:107
 #: ../core/src/org/openstreetmap/josm/actions/AbstractInfoAction.java:133
@@ -93,9 +93,9 @@
 msgstr "التحذير"
 
-#: ../core/src/org/openstreetmap/josm/Main.java:411
+#: ../core/src/org/openstreetmap/josm/Main.java:429
 msgid "Parameter \"downloadgps\" does not accept file names or file URLs"
 msgstr ""
 
-#: ../core/src/org/openstreetmap/josm/Main.java:479
+#: ../core/src/org/openstreetmap/josm/Main.java:497
 #, java-format
 msgid "Ignoring malformed URL: \"{0}\""
@@ -3812,9 +3812,9 @@
 
 #: ../core/src/org/openstreetmap/josm/gui/ExceptionDialogUtil.java:265
-msgid "Authorisation Failed"
+msgid "Authorization Failed"
 msgstr ""
 
 #: ../core/src/org/openstreetmap/josm/gui/ExceptionDialogUtil.java:281
-msgid "Authenticationi failed"
+msgid "Authentication failed"
 msgstr ""
 
@@ -3851,38 +3851,38 @@
 msgstr ""
 
+#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:37
 #: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:38
-#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:39
 msgid "Upload Preferences"
 msgstr "حمّل التفضيلات"
 
-#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:38
+#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:37
 msgid "Upload the current preferences to the server"
 msgstr "حمّل التفضيلات الحالية إلى الخادم"
 
+#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:54
 #: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:55
 #: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:56
-#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:57
 msgid "string"
 msgstr "سلسلة النص"
 
-#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:55
+#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:54
 msgid "Name of the user."
 msgstr "إسم المستخدم."
 
-#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:56
+#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:55
 msgid "OSM Password."
 msgstr "كلمة المرور أو.أس.أم."
 
-#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:57
+#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:56
 msgid "Resize the applet to the given geometry (format: WIDTHxHEIGHT)"
 msgstr "غيّر قياس البريمج إلى الهندسة المحددة (تصميم عرضxطول)"
 
+#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:57
 #: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:58
 #: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:59
-#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:60
 msgid "string;string;..."
 msgstr "السلسلة؛السلسلة؛..."
 
-#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:58
+#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:57
 msgid ""
 "Download each. Can be x1,y1,x2,y2 an URL containing lat=y&lon=x&zoom=z or a "
@@ -3890,5 +3890,5 @@
 msgstr ""
 
-#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:59
+#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:58
 msgid ""
 "Download each as raw gps. Can be x1,y1,x2,y2 an URL containing "
@@ -3896,5 +3896,5 @@
 msgstr ""
 
-#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:60
+#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:59
 msgid ""
 "Add each to the initial selection. Can be a google-like search string or an "
@@ -3902,18 +3902,18 @@
 msgstr ""
 
-#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:61
+#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:60
 msgid "any"
 msgstr "أيّ"
 
-#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:61
+#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:60
 msgid "If specified, reset the configuration instead of reading it."
 msgstr ""
 
-#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:87
+#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:86
 #: ../core/src/org/openstreetmap/josm/gui/io/CredentialDialog.java:165
 msgid "Username"
 msgstr "إسم المستخدم"
 
-#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:90
+#: ../core/src/org/openstreetmap/josm/gui/MainApplet.java:89
 #: ../core/src/org/openstreetmap/josm/gui/io/CredentialDialog.java:173
 msgid "Password"
@@ -4031,9 +4031,9 @@
 msgstr "جاري إنشاء واجهة المستخدم الرسومية الرئيسية"
 
-#: ../core/src/org/openstreetmap/josm/gui/MainApplication.java:195
+#: ../core/src/org/openstreetmap/josm/gui/MainApplication.java:196
 msgid "Loading plugins"
 msgstr ""
 
-#: ../core/src/org/openstreetmap/josm/gui/MainApplication.java:229
+#: ../core/src/org/openstreetmap/josm/gui/MainApplication.java:237
 #, java-format
 msgid "Preference setting {0} has been removed since it is no longer used."
@@ -5264,8 +5264,9 @@
 msgid ""
 "<html>You did not finish to merge the differences in this conflict."
-"<br>Conflict resolutions won't be applied unless all differences<br>are "
+"<br>Conflict resolutions will not be applied unless all differences<br>are "
 "resolved.Click <strong>{0}</strong> to close anyway."
-"<strong>Already<br>resolved differences won't be applied.</strong><br>Click "
-"<strong>{1}</strong> to return to resolving conflicts.</html>"
+"<strong>Already<br>resolved differences will not be applied.</"
+"strong><br>Click <strong>{1}</strong> to return to resolving conflicts.</"
+"html>"
 msgstr ""
 
@@ -10022,6 +10023,7 @@
 #: ../core/src/org/openstreetmap/josm/gui/oauth/AdvancedOAuthPropertiesPanel.java:101
 #: ../core/src/org/openstreetmap/josm/gui/oauth/SemiAutomaticAuthorizationUI.java:236
-msgid "Authorise URL:"
-msgstr ""
+#, fuzzy
+msgid "Authorize URL:"
+msgstr "المؤلف"
 
 #: ../core/src/org/openstreetmap/josm/gui/oauth/AdvancedOAuthPropertiesPanel.java:125
@@ -10059,5 +10061,5 @@
 "<html>Run a fully automatic procedure to get an access token from the OSM "
 "website.<br>JOSM accesses the OSM website on behalf of the JOSM user and "
-"fully<br>automatically authorises the user and retrieves an Access Token.</"
+"fully<br>automatically authorizes the user and retrieves an Access Token.</"
 "html>"
 msgstr ""
@@ -10111,9 +10113,10 @@
 #: ../core/src/org/openstreetmap/josm/gui/oauth/FullyAutomaticAuthorizationUI.java:333
 #: ../core/src/org/openstreetmap/josm/gui/preferences/server/OAuthAuthenticationPreferencesPanel.java:305
-msgid "Authorise now"
-msgstr ""
+#, fuzzy
+msgid "Authorize now"
+msgstr "المؤلف"
 
 #: ../core/src/org/openstreetmap/josm/gui/oauth/FullyAutomaticAuthorizationUI.java:335
-msgid "Click to redirect you to the authorisation form on the JOSM web site"
+msgid "Click to redirect you to the authorization form on the JOSM web site"
 msgstr ""
 
@@ -10124,5 +10127,5 @@
 
 #: ../core/src/org/openstreetmap/josm/gui/oauth/FullyAutomaticAuthorizationUI.java:366
-msgid "Run the automatic authorisation steps again"
+msgid "Run the automatic authorization steps again"
 msgstr ""
 
@@ -10156,5 +10159,5 @@
 
 #: ../core/src/org/openstreetmap/josm/gui/oauth/FullyAutomaticAuthorizationUI.java:442
-msgid "Authorise JOSM to access the OSM API"
+msgid "Authorize JOSM to access the OSM API"
 msgstr ""
 
@@ -10163,5 +10166,5 @@
 "<html>The automatic process for retrieving an OAuth Access Token<br>from the "
 "OSM server failed.<br><br>Please try again or choose another kind of "
-"authorisation process,<br>i.e. semi-automatic or manual authorisation.</html>"
+"authorization process,<br>i.e. semi-automatic or manual authorization.</html>"
 msgstr ""
 
@@ -10169,5 +10172,5 @@
 #: ../core/src/org/openstreetmap/josm/gui/oauth/FullyAutomaticAuthorizationUI.java:480
 #: ../core/src/org/openstreetmap/josm/gui/oauth/FullyAutomaticAuthorizationUI.java:505
-msgid "OAuth authorisation failed"
+msgid "OAuth authorization failed"
 msgstr ""
 
@@ -10177,5 +10180,5 @@
 "<html>The automatic process for retrieving an OAuth Access Token<br>from the "
 "OSM server failed because JOSM was not able to build<br>a valid login URL "
-"from the OAuth Authorise Endpoint URL ''{0}''.<br><br>Please check your "
+"from the OAuth Authorize Endpoint URL ''{0}''.<br><br>Please check your "
 "advanced setting and try again.</html>"
 msgstr ""
@@ -10192,5 +10195,5 @@
 #, java-format
 msgid ""
-"Please enter an OAuth Access Token which is authorised to access the OSM "
+"Please enter an OAuth Access Token which is authorized to access the OSM "
 "server ''{0}''."
 msgstr ""
@@ -10219,5 +10222,5 @@
 #, java-format
 msgid ""
-"<html><body>Please enter an OAuth Access Token which is authorised to access "
+"<html><body>Please enter an OAuth Access Token which is authorized to access "
 "the OSM server ''{0}''.</body></html>"
 msgstr ""
@@ -10248,6 +10251,7 @@
 
 #: ../core/src/org/openstreetmap/josm/gui/oauth/OAuthAuthorizationWizard.java:121
-msgid "Please select an authorisation procedure: "
-msgstr ""
+#, fuzzy
+msgid "Please select an authorization procedure: "
+msgstr "الرجاء إختيار أربعة عقد على الأقل."
 
 #: ../core/src/org/openstreetmap/josm/gui/oauth/OAuthAuthorizationWizard.java:239
@@ -10257,6 +10261,7 @@
 
 #: ../core/src/org/openstreetmap/josm/gui/oauth/OAuthAuthorizationWizard.java:340
-msgid "Close the dialog and cancel authorisation"
-msgstr ""
+#, fuzzy
+msgid "Close the dialog and cancel authorization"
+msgstr "أغلق الحوار و الغي التنزيل"
 
 #: ../core/src/org/openstreetmap/josm/gui/oauth/OAuthAuthorizationWizard.java:359
@@ -10292,10 +10297,10 @@
 #: ../core/src/org/openstreetmap/josm/gui/oauth/OsmOAuthAuthorizationClient.java:437
 #, java-format
-msgid "Failed to authorise OAuth request  ''{0}''"
+msgid "Failed to authorize OAuth request  ''{0}''"
 msgstr ""
 
 #: ../core/src/org/openstreetmap/josm/gui/oauth/OsmOAuthAuthorizationClient.java:484
 #, java-format
-msgid "Authorising OAuth Request token ''{0}'' at the OSM website ..."
+msgid "Authorizing OAuth Request token ''{0}'' at the OSM website ..."
 msgstr ""
 
@@ -10311,5 +10316,5 @@
 #: ../core/src/org/openstreetmap/josm/gui/oauth/OsmOAuthAuthorizationClient.java:498
 #, java-format
-msgid "Authorising request token ''{0}''..."
+msgid "Authorizing request token ''{0}''..."
 msgstr ""
 
@@ -10406,5 +10411,5 @@
 
 #: ../core/src/org/openstreetmap/josm/gui/oauth/SemiAutomaticAuthorizationUI.java:205
-msgid "<html>Step 2/3: Authorise and retrieve an Access Token</html>"
+msgid "<html>Step 2/3: Authorize and retrieve an Access Token</html>"
 msgstr ""
 
@@ -10417,9 +10422,9 @@
 msgid ""
 "<html>JOSM successfully retrieved a Request Token. JOSM is now launching an "
-"authorisation page in an external browser. Please login with your OSM "
-"username and password and follow the instructions to authorise the Request "
+"authorization page in an external browser. Please login with your OSM "
+"username and password and follow the instructions to authorize the Request "
 "Token. Then switch back to this dialog and click on <strong>{0}</"
 "strong><br><br>If launching the external browser fails you can copy the "
-"following authorise URL and paste it into the address field of your browser."
+"following authorize URL and paste it into the address field of your browser."
 "</html>"
 msgstr ""
@@ -10438,5 +10443,5 @@
 "<html>JOSM has successfully retrieved an Access Token. You can now accept "
 "this token. JOSM will use it in the future for authentication and "
-"authorisation to the OSM server.<br><br>The access token is: </html>"
+"authorization to the OSM server.<br><br>The access token is: </html>"
 msgstr ""
 
@@ -10487,5 +10492,5 @@
 msgid ""
 "<html>Failed to access the OSM server ''{0}''<br>with the Access Token "
-"''{0}''.<br>The server rejected the Access Token as unauthorised. You will "
+"''{0}''.<br>The server rejected the Access Token as unauthorized. You will "
 "not<br>be able to access any protected resource on this server using this "
 "token.</html>"
@@ -11674,5 +11679,5 @@
 msgid ""
 "You do not have an Access Token yet to access the OSM server using OAuth. "
-"Please authorise first."
+"Please authorize first."
 msgstr ""
 
@@ -11686,5 +11691,5 @@
 
 #: ../core/src/org/openstreetmap/josm/gui/preferences/server/OAuthAuthenticationPreferencesPanel.java:306
-msgid "Click to step through the OAuth authorisation process"
+msgid "Click to step through the OAuth authorization process"
 msgstr ""
 
@@ -11695,5 +11700,5 @@
 #: ../core/src/org/openstreetmap/josm/gui/preferences/server/OAuthAuthenticationPreferencesPanel.java:331
 msgid ""
-"Click to step through the OAuth authorisation process and generate a new "
+"Click to step through the OAuth authorization process and generate a new "
 "Access Token"
 msgstr ""
@@ -13370,6 +13375,6 @@
 #, java-format
 msgid ""
-"<html>Authorisation at the OSM server with the OAuth token ''{0}'' failed."
-"<br>The token is not authorised to access the protected resource<br>''{1}''."
+"<html>Authorization at the OSM server with the OAuth token ''{0}'' failed."
+"<br>The token is not authorized to access the protected resource<br>''{1}''."
 "<br>Please launch the preferences dialog and retrieve another OAuth token.</"
 "html>"