Index: applications/editors/josm/plugins/surveyor/build.xml
===================================================================
--- applications/editors/josm/plugins/surveyor/build.xml	(revision 19479)
+++ applications/editors/josm/plugins/surveyor/build.xml	(revision 19681)
@@ -33,5 +33,5 @@
 	<property name="commit.message" value="Changed the constructor signature of the plugin main class" />
 	<!-- enter the *lowest* JOSM version this plugin is currently compatible with -->
-	<property name="plugin.main.version" value="2830" />
+	<property name="plugin.main.version" value="2907" />
 
 
Index: applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/AutoSaveEditLayerTimerTask.java
===================================================================
--- applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/AutoSaveEditLayerTimerTask.java	(revision 19479)
+++ applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/AutoSaveEditLayerTimerTask.java	(revision 19681)
@@ -14,6 +14,4 @@
 
 import javax.swing.JOptionPane;
-
-import livegps.LiveGpsLock;
 
 import org.openstreetmap.josm.Main;
@@ -53,5 +51,5 @@
             File tmpFile = new File(file.getAbsoluteFile()+".tmp");
             System.out.println("AutoSaving osm data to file " + file.getAbsolutePath());
-            synchronized(LiveGpsLock.class) {
+            synchronized(SurveyorLock.class) {
                 OsmWriter w = new OsmWriter(new PrintWriter(new FileOutputStream(tmpFile)), false, dataset.getVersion());
                 w.header();
Index: applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/AutoSaveGpsLayerTimerTask.java
===================================================================
--- applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/AutoSaveGpsLayerTimerTask.java	(revision 19479)
+++ applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/AutoSaveGpsLayerTimerTask.java	(revision 19681)
@@ -15,6 +15,4 @@
 
 import javax.swing.JOptionPane;
-
-import livegps.LiveGpsLock;
 
 import org.openstreetmap.josm.Main;
@@ -76,7 +74,5 @@
             PrintWriter out = new PrintWriter(new BufferedWriter(new FileWriter(tmpFile)));
             GpxWriter gpxWriter = new GpxWriter(out);
-            synchronized(LiveGpsLock.class) {
-                gpxWriter.write(gpsLayer.data);
-            }
+            gpxWriter.write(gpsLayer.data);
             tmpFile.renameTo(file);
         } catch (IOException ioExc) {
Index: applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/SurveyorLock.java
===================================================================
--- applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/SurveyorLock.java	(revision 19681)
+++ applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/SurveyorLock.java	(revision 19681)
@@ -0,0 +1,5 @@
+package at.dallermassl.josm.plugin.surveyor;
+
+public class SurveyorLock {
+
+}
Index: applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/SetNodeAction.java
===================================================================
--- applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/SetNodeAction.java	(revision 19479)
+++ applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/SetNodeAction.java	(revision 19681)
@@ -10,6 +10,4 @@
 import java.util.Map.Entry;
 
-import livegps.LiveGpsLock;
-
 import org.dinopolis.util.collection.Tuple;
 import org.openstreetmap.josm.Main;
@@ -20,4 +18,5 @@
 import at.dallermassl.josm.plugin.surveyor.GpsActionEvent;
 import at.dallermassl.josm.plugin.surveyor.SurveyorAction;
+import at.dallermassl.josm.plugin.surveyor.SurveyorLock;
 
 /**
@@ -69,5 +68,5 @@
             node.put(entry.getKey(), entry.getValue());
         }
-        synchronized(LiveGpsLock.class) {
+        synchronized(SurveyorLock.class) {
             DataSet ds = Main.main.getCurrentDataSet();
             if(ds != null)
Index: applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/SetWaypointAction.java
===================================================================
--- applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/SetWaypointAction.java	(revision 19479)
+++ applications/editors/josm/plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/action/SetWaypointAction.java	(revision 19681)
@@ -12,5 +12,4 @@
 
 import livegps.LiveGpsLayer;
-import livegps.LiveGpsLock;
 
 import org.openstreetmap.josm.Main;
@@ -24,4 +23,5 @@
 
 import at.dallermassl.josm.plugin.surveyor.GpsActionEvent;
+import at.dallermassl.josm.plugin.surveyor.SurveyorLock;
 import at.dallermassl.josm.plugin.surveyor.SurveyorPlugin;
 import at.dallermassl.josm.plugin.surveyor.action.gui.WaypointDialog;
@@ -86,5 +86,5 @@
         if(iconName != null)
             waypoint.attr.put("sym", iconName);
-        synchronized(LiveGpsLock.class) {
+        synchronized(SurveyorLock.class) {
             //layer.data.add(new Marker(event.getCoordinates(), markerText, iconName));
             layer.data.add(new Marker(event.getCoordinates(), markerText, iconName, null, -1.0, 0.0));