Index: applications/editors/josm/haiti_earthquake/CHANGELOG.txt
===================================================================
--- applications/editors/josm/haiti_earthquake/CHANGELOG.txt	(revision 19599)
+++ 	(revision )
@@ -1,10 +1,0 @@
-
-0.3, 2010-01-23
-* extended presets with upcoming humanitarian tags (contributed by user Lübeck)
-* additional icons (contributed by user Lübeck)
-
-0.2, 2010-01-22
-* new installation directory
-
-0.1, 2010-01-22
-* created first distribution for presets
Index: applications/editors/josm/haiti_earthquake/README.txt
===================================================================
--- applications/editors/josm/haiti_earthquake/README.txt	(revision 19599)
+++ 	(revision )
@@ -1,14 +1,0 @@
------------------------------------------------------------------------
-             Haiti Earthquake Response - JOSM Presets 
------------------------------------------------------------------------
-
-This is a collection of presets to be used in the OSM Haiti project after the
-Haiti earthquake.
-
-See http://wiki.openstreetmap.org/wiki/WikiProject_Haiti for further information.
-
-AUTHORS
- * First version posted by user Lübeck  
-
-INSTALLATION
- * see http://wiki.openstreetmap.org/wiki/WikiProject_Haiti/JOSM
Index: applications/editors/josm/haiti_earthquake/build.xml
===================================================================
--- applications/editors/josm/haiti_earthquake/build.xml	(revision 19599)
+++ 	(revision )
@@ -1,38 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project name="haiti_earthquake" default="dist">
-
-	<target name="clean">
-		<delete dir="${basedir}/build"/>
-	</target>
-
-	<target name="assemble">
-		<mkdir dir="${basedir}/build"/>
-		<mkdir dir="${basedir}/build/presets"/>
-		<mkdir dir="${basedir}/build/presets/earthquake"/>
-		<copy todir="${basedir}/build/presets/earthquake">
-			<fileset dir="${basedir}/presets">
-				<include name="**/*.xml"/>
-				<include name="**/*.png"/>
-			</fileset>
-		</copy>
-
-		<copy file="README.txt" todir="${basedir}/build/presets/earthquake"/>
-		<copy file="CHANGELOG.txt" todir="${basedir}/build/presets/earthquake"/>
-	</target>
-
-	<target name="make-distrib">
-		<zip destfile="${basedir}/dist/haiti-earthquake-josm-presets.zip">
-			<fileset dir="${basedir}/build">
-				<include name="**/*"/>
-			</fileset>
-		</zip>
-		<tar destfile="${basedir}/dist/haiti-earthquake-josm-presets.tar">
-			<fileset dir="${basedir}/build">
-				<include name="**/*"/>
-			</fileset>		
-		</tar>
-	</target>
-	
-	<target name="dist" depends="clean,assemble,make-distrib">
-	</target>
-</project>
Index: applications/editors/josm/haiti_earthquake/earthquake_presets/CHANGELOG.txt
===================================================================
--- applications/editors/josm/haiti_earthquake/earthquake_presets/CHANGELOG.txt	(revision 19877)
+++ applications/editors/josm/haiti_earthquake/earthquake_presets/CHANGELOG.txt	(revision 19877)
@@ -0,0 +1,10 @@
+
+0.3, 2010-01-23
+* extended presets with upcoming humanitarian tags (contributed by user Lübeck)
+* additional icons (contributed by user Lübeck)
+
+0.2, 2010-01-22
+* new installation directory
+
+0.1, 2010-01-22
+* created first distribution for presets
Index: applications/editors/josm/haiti_earthquake/earthquake_presets/README.txt
===================================================================
--- applications/editors/josm/haiti_earthquake/earthquake_presets/README.txt	(revision 19877)
+++ applications/editors/josm/haiti_earthquake/earthquake_presets/README.txt	(revision 19877)
@@ -0,0 +1,14 @@
+-----------------------------------------------------------------------
+             Haiti Earthquake Response - JOSM Presets 
+-----------------------------------------------------------------------
+
+This is a collection of presets to be used in the OSM Haiti project after the
+Haiti earthquake.
+
+See http://wiki.openstreetmap.org/wiki/WikiProject_Haiti for further information.
+
+AUTHORS
+ * First version posted by user Lübeck  
+
+INSTALLATION
+ * see http://wiki.openstreetmap.org/wiki/WikiProject_Haiti/JOSM
Index: applications/editors/josm/haiti_earthquake/earthquake_presets/build.xml
===================================================================
--- applications/editors/josm/haiti_earthquake/earthquake_presets/build.xml	(revision 19877)
+++ applications/editors/josm/haiti_earthquake/earthquake_presets/build.xml	(revision 19877)
@@ -0,0 +1,38 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project name="haiti_earthquake" default="dist">
+
+	<target name="clean">
+		<delete dir="${basedir}/build"/>
+	</target>
+
+	<target name="assemble">
+		<mkdir dir="${basedir}/build"/>
+		<mkdir dir="${basedir}/build/presets"/>
+		<mkdir dir="${basedir}/build/presets/earthquake"/>
+		<copy todir="${basedir}/build/presets/earthquake">
+			<fileset dir="${basedir}/presets">
+				<include name="**/*.xml"/>
+				<include name="**/*.png"/>
+			</fileset>
+		</copy>
+
+		<copy file="README.txt" todir="${basedir}/build/presets/earthquake"/>
+		<copy file="CHANGELOG.txt" todir="${basedir}/build/presets/earthquake"/>
+	</target>
+
+	<target name="make-distrib">
+		<zip destfile="${basedir}/dist/haiti-earthquake-josm-presets.zip">
+			<fileset dir="${basedir}/build">
+				<include name="**/*"/>
+			</fileset>
+		</zip>
+		<tar destfile="${basedir}/dist/haiti-earthquake-josm-presets.tar">
+			<fileset dir="${basedir}/build">
+				<include name="**/*"/>
+			</fileset>		
+		</tar>
+	</target>
+	
+	<target name="dist" depends="clean,assemble,make-distrib">
+	</target>
+</project>
Index: applications/editors/josm/haiti_earthquake/earthquake_presets/presets/haiti-earthquake.xml
===================================================================
--- applications/editors/josm/haiti_earthquake/earthquake_presets/presets/haiti-earthquake.xml	(revision 19877)
+++ applications/editors/josm/haiti_earthquake/earthquake_presets/presets/haiti-earthquake.xml	(revision 19877)
@@ -0,0 +1,121 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+	This is a collection of presets to be used in the OSM Haiti project
+	after the haiti earthquake. First version posted by user Lübeck on the
+	wiki See http://wiki.openstreetmap.org/wiki/WikiProject_Haiti for
+	further information.
+-->
+<annotations>
+	<group name="earthquake" icon="earthquake.png">
+
+		<item name="Aerial Images Source">
+			<combo key="source" text="Source (add date!)"
+				values="NOAA,Ikonos/ Geoeye,GeoEye1/ GeoEye,QuickBird/ DigitalGlobe,WorldView-2/ DigitalGlobe,ErosB/ ScanEx,Cnes/ SpotImage,JAXA/ ALOS,Google Aerial" />
+		</item>
+
+		<separator />
+
+		<item name="Roads">
+			<label text="edit highway" />
+			<text key="name" text="Name" />
+			<combo key="highway" text="Type"
+				values="primary,secondary,tertiary,footway,unclassified,road,path,track"
+				delete_if_empty="true" />
+			<combo key="humanitarian:road:operationalstatus" text="Operational Status"
+				values="open,restricted,closed,unspecified" />
+			<combo key="humanitarian:road:operationalstatusquality" text="quality of operation status info"
+				values="reported,confirmed,unspecified" />
+		</item>
+		<item name="Transport Obstacles" icon="eq_checkpoint.png">
+			<label text="edit transport obstacles" />
+			<combo key="type" text="Type"
+				values="bridge_damage,road_damage,landslide_mudslide,debris,checkpoint,roadblock,unspecified" />
+			<combo key="humanitarian:obstacle:operationalstatus" text="Operational Status"
+				values="open,restricted,closed,unspecified" />
+			<combo key="humanitarian:obstacle:operationalstatusquality"
+				text="quality of operation Status Info" values="reported,confirmed,unspecified" />
+		</item>
+		<item name="Health Facilities" icon="eq_hospital.png">
+			<text key="name" text="Name" />
+			<label text="edit health facilities" />
+			<combo key="type" text="Type" values="hospital,field_hospital" />
+			<combo key="humanitarian:healthfacility:operationalstatus"
+				text="Operational Status" values="open,restricted,closed,unspecified" />
+			<combo key="humanitarian:healthfacility:operationalstatusquality"
+				text="Quality of Operation Status Info" values="reported,confirmed,unspecified" />
+		</item>
+
+		<item name="Aerodromes" icon="eq_airport.png">
+			<text key="name" text="Name" />
+			<combo key="type" text="Type"
+				values="Airfield,Airstrip,Fixed HLZ,Improvised HLZ,Unspecified" />
+			<combo key="Humanitarian:Aerodromes:OperationalStatus" text="Operational Status"
+				values="Open,Restricted,Closed,Unspecified" />
+			<combo key="Humanitarian:Aerodromes:OperationalStatusQuality"
+				text="Quality of Op. Status Info" values="Reported,Confirmed,Unspecified" />
+			<combo key="Humanitarian:Aerodromes:HumanitarianUse" text="Humanitarian Use of Aerodrome"
+				values="Primary Hub,Secondary Hub,Final Delivery Point,Operationally Significant Location,Unspecified" />
+			<text key="Humanitarian:Aerodromes:PracticabilityDescription"
+				text="Description of aerodrome practicability (largest aircraft landable)" />
+			<combo key="Humanitarian:Aerodromes:TakeOffLandingType" text="Take Off and Landing Type"
+				values="Runway,Heli Landing Zone" />
+			<text key="Humanitarian:Aerodromes:TakeOffLandingLength" text="Length (m) of runway or HLZ" />
+			<text key="Humanitarian:Aerodromes:TakeOffLandingWidth" text="Width (m) of runway or HLZ" />
+			<combo key="Humanitarian:Aerodromes:HLZType" text="For Heli Landing Zone, type of HLZ"
+				values="Purpose-built,Sports-field park,Agricultural field,Car park,Rooftop,Open land,Unspecified" />
+			<text key="Humanitarian:Aerodromes:CargoHandling" text="Description of Cargo Handling Capability" />
+		</item>
+		<item name="Warehouse Compounds" icon="eq_warehouse.png">
+			<text key="name" text="Name" />
+			<combo key="type" text="Type"
+				values="Airfield,Airstrip,Fixed HLZ,Improvised HLZ,Unspecified" />
+			<combo key="Humanitarian:WarehouseCompounds:OperationalStatus"
+				text="Operational Status" values="Open,Restricted,Closed,Unspecified" />
+			<combo key="Humanitarian:WarehouseCompounds:OperationalStatusQuality"
+				text="Quality of Op. Status Info" values="Reported,Confirmed,Unspecified" />
+			<combo key="Humanitarian:WarehouseCompounds:HumanitarianUse"
+				text="Humanitarian Use of Aerodrome"
+				values="Primary Hub,Secondary Hub,Final Delivery Point,Operationally Significant Location,Unspecified" />
+			<text key="Humanitarian:WarehouseCompounds:StorageCapacityM3"
+				text="Storage Capacity (cubic meters)" />
+			<text key="Humanitarian:WarehouseCompounds:StorageCapacityM2"
+				text="Storage Capacity (square meters)" />
+			<text key="Humanitarian:WarehouseCompounds:StorageCapacityMT"
+				text="Storage Capacity (metric tons)" />
+			<text key="Humanitarian:WarehouseCompounds:CargoHandling" text="Description of Cargo Handling Capability" />
+			<check key="Humanitarian:WarehouseCompounds:HasTempStorage"
+				text="Facility has temperature controlled storage?" default="off" />
+		</item>
+		<item name="Fuel Supply Points" icon="eq_fuel.png">
+			<text key="name" text="Name" />
+			<combo key="Humanitarian:FuelSupplyPoints:OperationalStatus"
+				text="Operational Status" values="Open,Restricted,Closed,Unspecified" />
+			<combo key="Humanitarian:FuelSupplyPoints:OperationalStatusQuality"
+				text="Quality of Op. Status Info" values="Reported,Confirmed,Unspecified" />
+			<text key="Humanitarian:FuelSupplyPoints:FuelStorageCapacity"
+				text="Fuel Storage Capacity (specify units)" />
+			<combo key="Humanitarian:FuelSupplyPoints:FuelStorageType"
+				text="Drums,Soft-Storage Bladder,Mobile Storage,Fixed Storage,Multiple Types,Unspecified" />
+			<text key="Humanitarian:FuelSupplyPoints:FuelStorageDesc" text="Description of Fuel Storage" />
+		</item>
+
+		<separator />
+
+		<item name="Collapsed Buildings" icon="eq_building_collapsed.png">
+			<link
+				href="http://wiki.openstreetmap.org/wiki/WikiProject_Haiti/MappingCoordination" />
+			<label text="edit collapsed building" />
+			<key key="earthquake:damage" value="collapsed_building" />
+			<key key="building" value="collapsed" />
+		</item>
+
+		<item name="Spontaneous Camp" icon="eq_camping.png">
+			<link
+				href="http://wiki.openstreetmap.org/wiki/WikiProject_Haiti/MappingCoordination" />
+			<label text="edit spontaneous_camp" />
+			<key key="earthquake:damage" value="spontaneous_camp" />
+			<key key="tourism" value="camp_site" />
+		</item>
+
+	</group>
+</annotations>